<div class="row">
  <div class="col-xs-12">
    <form [formGroup]="recipeForm" (ngSubmit)="onSubmit()">
      <div class="row">
        <div class="col-xs-12">
        <button type="submit" class="btn btn-success" [disabled]="!recipeForm.valid">Save</button>
        <button type="button" class="btn btn-danger" (click)="onCancel()">Cancel</button>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12">
          <div class="form-group">
            <label id="rname" for="rname">Name</label>
            <input
              type="text"
              id="name"
              formControlName="name"
              class="form-control">
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12">
          <div class="form-group">
            <label id="imagePath" for="imagePath">Image URL</label>
            <input
              type="text"
              id="imageURL"
              formControlName="imagePath"
              class="form-control"
              #imagePath
            >
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12">
         <img [src]="imagePath.value" class="img-responsive">
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12">
          <div class="form-group">
            <label id="desc" for="desc">Description</label>
            <textarea
              type="text"
              id="description"
              formControlName="description"
              class="form-control"
            rows="6"></textarea>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12" formArrayName="ingredients">
          <div class="form-group">
            <div class="row"
                 *ngFor="let ingredientCtrl of controls; let i = index"
                 [formGroupName]="i"
                 style="margin-top: 10px"
            >
              <div class="col-xs-8">
                <input
                  type="text"
                  formControlName="name"
                  class="form-control">
              </div>
              <div class="col-xs-2">
                <input
                  type="number"
                  formControlName="amount"
                  class="form-control">
              </div>
              <div class="col-xs-2">
                <button
                  type="button"
                  class="btn btn-danger"
                  (click)="onDeleteIngredient(i)"
                >X</button>
              </div>
            </div>
            <hr>
            <div class="row">
              <div class="col-xs-12">
                <button type="button" class="btn btn-success" (click)="onAddIngredient()">Add Ingredient</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </form>
  </div>
</div>
